
/*
 *	MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.gts.init;

import net.neoforged.neoforge.client.event.RegisterMenuScreensEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;
import net.neoforged.api.distmarker.Dist;

import net.mcreator.gts.client.gui.TokiConfigMenu1Screen;
import net.mcreator.gts.client.gui.TokiAnvilGUIScreen;
import net.mcreator.gts.client.gui.TamedGtsInteractionMenuScreen;
import net.mcreator.gts.client.gui.GtsCommonGuiPage2Screen;
import net.mcreator.gts.client.gui.GtsCommonGUIScreen;
import net.mcreator.gts.client.gui.CandyConfigGuiScreen;
import net.mcreator.gts.client.gui.AraConfigGUIScreen;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
public class GtsModScreens {
	@SubscribeEvent
	public static void clientLoad(RegisterMenuScreensEvent event) {
		event.register(GtsModMenus.TOKI_CONFIG_MENU_1.get(), TokiConfigMenu1Screen::new);
		event.register(GtsModMenus.TOKI_ANVIL_GUI.get(), TokiAnvilGUIScreen::new);
		event.register(GtsModMenus.GTS_COMMON_GUI.get(), GtsCommonGUIScreen::new);
		event.register(GtsModMenus.CANDY_CONFIG_GUI.get(), CandyConfigGuiScreen::new);
		event.register(GtsModMenus.GTS_COMMON_GUI_PAGE_2.get(), GtsCommonGuiPage2Screen::new);
		event.register(GtsModMenus.TAMED_GTS_INTERACTION_MENU.get(), TamedGtsInteractionMenuScreen::new);
		event.register(GtsModMenus.ARA_CONFIG_GUI.get(), AraConfigGUIScreen::new);
	}
}
